Match

  • GET
  • /workspaces
  • /:workspace
  • /targets
  • /:target_id

Get a specific Match target by ID

Request

REQUIRED SCOPES
TARGET_INFO
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

target_idrequiredstring
Target unique identifier (hash ID)

Example: "tgt-1234567890abcdef"

Response

RESPONSE BODY
typestring enum
The type of the target
Allowed enum:
MATCH
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idstring
The ID of the target
identifierrequiredstring
A human-readable ID. Alphanumeric characters, underscores, and hyphens (hyphens cannot appear at the start or end).
namestring
The name of the target
projectShortProjectView
Short representation of a project
pipelineShortPipelineView
Short representation of a pipeline
environmentShortEnvironmentView
Short representation of an environment object
permissionsPermissionsView
Access permissions configuration
all_pipelines_allowedboolean
Indicates if all pipelines are allowed to use this target
allowed_pipelinesAllowedPipelineView[]
List of specific pipelines allowed to use this target

Constraints: Unique items required

disabledboolean
Indicates if this target is disabled (default: false)
tagsstring[]
The list of tags associated with the target

Constraints: Unique items required

scopestring enum
The scope of the target filter
Allowed enum:
WORKSPACE,
PROJECT,
ENVIRONMENT,
PIPELINE,
ACTION,
ANY

Last modified on Feb 18, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/targets/:target_id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
STATUS
200 OK